package com.gxzc.zen.api.sys.service.impl

import com.baomidou.mybatisplus.mapper.EntityWrapper
import com.baomidou.mybatisplus.service.impl.ServiceImpl
import com.gxzc.zen.api.sys.mapper.SysUserRoleMapper
import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.api.sys.model.SysUserRole
import com.gxzc.zen.api.sys.service.ISysUserRoleService
import org.springframework.stereotype.Service

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@Service
class SysUserRoleServiceImpl : ServiceImpl<SysUserRoleMapper, SysUserRole>(), ISysUserRoleService {
    override fun getUserRoleListByUserId(id: Long): MutableList<SysRole> {
        return baseMapper.selectUserRoleListByUserId(id)
    }

    override fun getUserRoleList(): Map<Int, MutableList<SysRole>> {
        val allSysUserRole = baseMapper.selectList(EntityWrapper<SysUserRole>())
        allSysUserRole.
                return baseMapper.selectUserRoleList()
    }
}
