package com.gxzc.zen.controller

import com.baomidou.kisso.annotation.Action
import com.baomidou.kisso.annotation.Login
import com.gxzc.zen.api.sys.service.ISysPermissionService
import com.gxzc.zen.api.sys.service.ISysUserService
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.cache.CacheManager
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController


@RestController
class ExampleController {
    companion object {
        private val logger = LoggerFactory.getLogger(ExampleController::class.java)
    }

    @Autowired
    private lateinit var cacheManager: CacheManager

    @Autowired
    private lateinit var sysUserService: ISysUserService

    @Autowired
    private lateinit var sysPermissionService: ISysPermissionService

    @GetMapping("testTransaction")
    fun testTransaction() {
//        mgrFondsService.testTransaction()
    }

    @GetMapping("testLoad")
    fun testLoad() {
//        sysUserService.selectListCacheable()
    }

    @GetMapping("testCache")
    @Login(action = Action.Skip)
    fun testCache() {
        println(cacheManager.cacheNames)

        val a = sysPermissionService.getPermissionByUserId(1)

        val test = cacheManager.getCache("user")["test1"]
    }
}